# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | List of all members
dirac::PredictStep97< gain > Class Template Reference

Class to do two-tap prediction lifting step for Daubechies (9,7)

`#include <wavelet_utils.h>`

## Public Member Functions
| PredictStep97 ()
| Constructor. More...
void | Filter (CoeffType &in_val, const CoeffType &val1, const CoeffType &val2) const
| Do the filtering. More...

## Constructor & Destructor Documentation

template<int gain>

dirac::PredictStep97< gain >::PredictStep97 | ( |  | ) |
| inline

## Member Function Documentation

template<int gain>

void dirac::PredictStep97< gain >::Filter | ( | CoeffType & | in_val,
|  | const CoeffType & | val1,
|  | const CoeffType & | val2
| ) |  | const
| inline

The documentation for this class was generated from the following file:

- wavelet_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.